aboutsummaryrefslogtreecommitdiff
path: root/bin/fetch-email
diff options
context:
space:
mode:
authorMiquel Sabaté Solà <mssola@mssola.com>2025-09-16 22:34:28 +0200
committerMiquel Sabaté Solà <mssola@mssola.com>2025-09-16 22:34:28 +0200
commit56d6f3c2185338c97c99a4b690ee14866af033a0 (patch)
treedc7ef9e8889abe2eb4de4c29f14ae29112fdf390 /bin/fetch-email
parent893f8e928e563b3d8bc6ddcfc16ee97c4cde2967 (diff)
downloaddotfiles-56d6f3c21853.tar.gz
dotfiles-56d6f3c21853.zip
bin: Add 'fetch-email'
This is a glorified bash one-liner for fetching my email by syncing each channel via GNU parallel. This speeds up a bit from the usual 'mbsync -a', even if it's not a miracle. Signed-off-by: Miquel Sabaté Solà <mssola@mssola.com>
Diffstat (limited to 'bin/fetch-email')
-rwxr-xr-xbin/fetch-email27
1 files changed, 27 insertions, 0 deletions
diff --git a/bin/fetch-email b/bin/fetch-email
new file mode 100755
index 0000000..f7ac944
--- /dev/null
+++ b/bin/fetch-email
@@ -0,0 +1,27 @@
+#!/usr/bin/env bash
+# Copyright (C) 2025-Ω Miquel Sabaté Solà <mssola@mssola.com>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+if ! command -v parallel &> /dev/null; then
+ echo "fetch-email (error): you need 'parallel' installed."
+ exit 1
+fi
+
+if ! command -v mbsync &> /dev/null; then
+ echo "fetch-email (error): you need 'mbsync' installed."
+ exit 1
+fi
+
+grep '^Channel' ~/.mbsyncrc | awk '{ print $2; }' | sort | uniq | parallel -j12 mbsync {} \ No newline at end of file